Skip to main content
PUT
/
api
/
organizations
/
v1
/
organizations
/
{organizationId}
/
user
Add a user to an org
curl --request PUT \
  --url https://api.example.com/api/organizations/v1/organizations/{organizationId}/user \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "userId": "6234c9542bc6731e3471ade8"
}
'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "org": {
    "id": "623132867a0af0281c01a69c",
    "members": [
      {
        "userId": "6234c9542bc6731e3471ade8"
      }
    ],
    "name": "MyOrg",
    "defaultEnvironmentId": "6231327c7a0af0281c01a65f"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

organizationId
string
required

Id of organization to add a user to. This is the id of the org in the users collection, not the organizations collection.

Body

application/json
organizationRole
enum<string>
required

Role of member in the organization.

Available options:
member,
admin
userId
string
required

Id of the user in the org.

Example:

"6234c9542bc6731e3471ade8"

Response

Success

metadata
object
required
org
object
required